VTK: vtkAffineRepresentation2D Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkAffineRepresentation2D Class Reference

represent 2D affine transformations More...

`#include <vtkAffineRepresentation2D.h>`

Inheritance diagram for vtkAffineRepresentation2D:
[legend]
Collaboration diagram for vtkAffineRepresentation2D:
[legend]

## Public Member Functions
void | GetTransform (vtkTransform *t) override
| Retrieve a linear transform characterizing the affine transformation generated by this widget. More...
virtual void | SetBoxWidth (int)
| Specify the width of the various parts of the representation (in pixels). More...
virtual int | GetBoxWidth ()
| Specify the width of the various parts of the representation (in pixels). More...
virtual void | SetCircleWidth (int)
| Specify the width of the various parts of the representation (in pixels). More...
virtual int | GetCircleWidth ()
| Specify the width of the various parts of the representation (in pixels). More...
virtual void | SetAxesWidth (int)
| Specify the width of the various parts of the representation (in pixels). More...
virtual int | GetAxesWidth ()
| Specify the width of the various parts of the representation (in pixels). More...
void | SetOrigin (const double o[3])
| Specify the origin of the widget (in world coordinates). More...
void | SetOrigin (double ox, double oy, double oz)
| Specify the origin of the widget (in world coordinates). More...
virtual double * | GetOrigin ()
| Specify the origin of the widget (in world coordinates). More...
virtual void | GetOrigin (double &, double &, double &)
| Specify the origin of the widget (in world coordinates). More...
virtual void | GetOrigin (double[3])
| Specify the origin of the widget (in world coordinates). More...
void | SetProperty (vtkProperty2D *)
| Set/Get the properties when unselected and selected. More...
void | SetSelectedProperty (vtkProperty2D *)
| Set/Get the properties when unselected and selected. More...
void | SetTextProperty (vtkTextProperty *)
| Set/Get the properties when unselected and selected. More...
virtual vtkProperty2D * | GetProperty ()
| Set/Get the properties when unselected and selected. More...
virtual vtkProperty2D * | GetSelectedProperty ()
| Set/Get the properties when unselected and selected. More...
virtual vtkTextProperty * | GetTextProperty ()
| Set/Get the properties when unselected and selected. More...
virtual void | SetDisplayText (vtkTypeBool)
| Enable the display of text with numeric values characterizing the transformation. More...
virtual vtkTypeBool | GetDisplayText ()
| Enable the display of text with numeric values characterizing the transformation. More...
virtual void | DisplayTextOn ()
| Enable the display of text with numeric values characterizing the transformation. More...
virtual void | DisplayTextOff ()
| Enable the display of text with numeric values characterizing the transformation. More...
void | PlaceWidget (double bounds[6]) override
| Subclasses of vtkAffineRepresentation2D must implement these methods. More...
void | StartWidgetInteraction (double eventPos[2]) override
| Subclasses of vtkAffineRepresentation2D must implement these methods. More...
void | WidgetInteraction (double eventPos[2]) override
| Subclasses of vtkAffineRepresentation2D must implement these methods. More...
void | EndWidgetInteraction (double eventPos[2]) override
| Subclasses of vtkAffineRepresentation2D must implement these methods. More...
int | ComputeInteractionState (int X, int Y, int modify=0) override
| Subclasses of vtkAffineRepresentation2D must implement these methods. More...
void | BuildRepresentation () override
| Subclasses of vtkAffineRepresentation2D must implement these methods. More...
void | ShallowCopy (vtkProp *prop) override
| Methods to make this class behave as a vtkProp. More...
void | GetActors2D (vtkPropCollection *) override
| Methods to make this class behave as a vtkProp. More...
void | ReleaseGraphicsResources (vtkWindow *) override
| Methods to make this class behave as a vtkProp. More...
int | RenderOverlay (vtkViewport *viewport) override
| Methods to make this class behave as a vtkProp. More...
Public Member Functions inherited from vtkAffineRepresentation
virtual void | SetTolerance (int)
| The tolerance representing the distance to the widget (in pixels) in which the cursor is considered near enough to the widget to be active. More...
virtual int | GetTolerance ()
| The tolerance representing the distance to the widget (in pixels) in which the cursor is considered near enough to the widget to be active. More...
vtkAffineRepresentation * | NewInstance () const
| Standard methods for instances of this class. More...
Public Member Functions inherited from vtkWidgetRepresentation
virtual void | PlaceWidget (double vtkNotUsed(bounds)[6])
| The following is a suggested API for widget representations. More...
virtual int | GetInteractionState ()
virtual void | Highlight (int vtkNotUsed(highlightOn))
double * | GetBounds () override
| Methods to make this class behave as a vtkProp. More...
void | ShallowCopy (vtkProp *prop) override
| Shallow copy of this vtkProp. More...
void | GetActors (vtkPropCollection *) override
| For some exporters and other other operations we must be able to collect all the actors or volumes. More...
void | GetActors2D (vtkPropCollection *) override
void | GetVolumes (vtkPropCollection *) override
void | ReleaseGraphicsResources (vtkWindow *) override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release any graphics resources that are being consumed by this actor. More...
int | RenderOverlay (vtkViewport *vtkNotUsed(viewport)) override
int | RenderOpaqueGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderTranslucentPolygonalGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderVolumetricGeometry (vtkViewport *vtkNotUsed(viewport)) override
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some translucent polygonal geometry? This method is called during the rendering process to know if there is some translucent polygonal geometry. More...
virtual void | RegisterPickers ()
| Register internal Pickers in the Picking Manager. More...
virtual void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetRenderer (vtkRenderer *ren)
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual vtkRenderer * | GetRenderer ()
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual void | StartComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | ComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | EndComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual int | ComputeComplexInteractionState (vtkRenderWindowInteractor *iren, vtkAbstractWidget *widget, unsigned long event, void *callData, int modify=0)
virtual void | SetPlaceFactor (double)
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual double | GetPlaceFactor ()
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual void | SetHandleSize (double)
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual double | GetHandleSize ()
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual vtkTypeBool | GetNeedToRender ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | SetNeedToRender (vtkTypeBool)
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOn ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOff ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
vtkWidgetRepresentation * | NewInstance () const
| Standard methods for instances of this class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instances of this class. More...
Public Member Functions inherited from vtkProp
vtkProp * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | Pick ()
| Method fires PickEvent if the prop is picked. More...
virtual vtkMTimeType | GetRedrawMTime ()
| Return the mtime of anything that would cause the rendered image to appear differently. More...
virtual void | PokeMatrix (vtkMatrix4x4 *vtkNotUsed(matrix))
| These methods are used by subclasses to place a matrix (if any) in the prop prior to rendering. More...
virtual vtkMatrix4x4 * | GetMatrix ()
virtual bool | HasKeys (vtkInformation *requiredKeys)
| Tells if the prop has all the required keys. More...
virtual int | RenderOpaqueGeometry (vtkViewport *)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS All concrete subclasses must be able to render themselves. More...
virtual int | RenderTranslucentPolygonalGeometry (vtkViewport *)
virtual int | RenderVolumetricGeometry (vtkViewport *)
virtual bool | RenderFilteredOpaqueGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the opaque geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredTranslucentPolygonalGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the translucent polygonal geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredVolumetricGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the volumetric geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredOverlay (vtkViewport *v, vtkInformation *requiredKeys)
| Render in the overlay of the viewport only if the prop has all the requiredKeys. More...
virtual vtkTypeBool | HasOpaqueGeometry ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some opaque geometry? This method is called during the rendering process to know if there is some opaque geometry. More...
virtual double | GetEstimatedRenderTime (vtkViewport *)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS The EstimatedRenderTime may be used to select between different props, for example in LODProp it is used to select the level-of-detail. More...
virtual double | GetEstimatedRenderTime ()
virtual void | SetEstimatedRenderTime (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS This method is used by, for example, the vtkLODProp3D in order to initialize the estimated render time at start-up to some user defined value. More...
virtual void | RestoreEstimatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS When the EstimatedRenderTime is first set to 0.0 (in the SetAllocatedRenderTime method) the old value is saved. More...
virtual void | AddEstimatedRenderTime (double t, vtkViewport *vtkNotUsed(vp))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS This method is intended to allow the renderer to add to the EstimatedRenderTime in props that require information that the renderer has in order to do this. More...
void | SetRenderTimeMultiplier (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Get/Set the multiplier for the render time. More...
virtual double | GetRenderTimeMultiplier ()
virtual void | BuildPaths (vtkAssemblyPaths *paths, vtkAssemblyPath *path)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used to construct assembly paths and perform part traversal. More...
virtual bool | GetSupportsSelection ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used by vtkHardwareSelector to determine if the prop supports hardware selection. More...
virtual void | ProcessSelectorPixelBuffers (vtkHardwareSelector *, std::vector< unsigned int > &)
| allows a prop to update a selections color buffers More...
virtual void | SetVisibility (vtkTypeBool)
| Set/Get visibility of this vtkProp. More...
virtual vtkTypeBool | GetVisibility ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOn ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOff ()
| Set/Get visibility of this vtkProp. More...
virtual void | SetPickable (vtkTypeBool)
| Set/Get the pickable instance variable. More...
virtual vtkTypeBool | GetPickable ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOn ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOff ()
| Set/Get the pickable instance variable. More...
virtual void | SetDragable (vtkTypeBool)
| Set/Get the value of the dragable instance variable. More...
virtual vtkTypeBool | GetDragable ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOn ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOff ()
| Set/Get the value of the dragable instance variable. More...
virtual void | SetUseBounds (bool)
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual bool | GetUseBounds ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOn ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOff ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | InitPathTraversal ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkAssemblyPath * | GetNextPath ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual int | GetNumberOfPaths ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkInformation * | GetPropertyKeys ()
| Set/Get property keys. More...
virtual void | SetPropertyKeys (vtkInformation *keys)
| Set/Get property keys. More...
virtual void | SetAllocatedRenderTime (double t, vtkViewport *vtkNotUsed(v))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS The renderer may use the allocated rendering time to determine how to render this actor. More...
virtual double | GetAllocatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. More...
virtual int | GetNumberOfConsumers ()
| Get the number of consumers. More...
void | AddConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
void | RemoveConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
vtkObject * | GetConsumer (int i)
| Add or remove or get or check a consumer,. More...
int | IsConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
virtual void | SetShaderProperty (vtkShaderProperty *property)
| Set/Get the shader property. More...
virtual vtkShaderProperty * | GetShaderProperty ()
| Set/Get the shader property. More...
virtual bool | IsRenderingTranslucentPolygonalGeometry ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkAffineRepresentation2D * | New ()
| Instantiate this class. More...
Static Public Member Functions inherited from vtkAffineRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkAffineRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
Static Public Member Functions inherited from vtkWidgetRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkWidgetRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
Static Public Member Functions inherited from vtkProp
static vtkTypeBool | IsTypeOf (const char *type)
static vtkProp * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | GeneralTextureUnit ()
| Optional Key Indicating the texture unit for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
static vtkInformationDoubleVectorKey * | GeneralTextureTransform ()
| Optional Key Indicating the texture transform for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkAffineRepresentation2D ()
| ~vtkAffineRepresentation2D () override
void | Translate (double eventPos[2])
void | Scale (double eventPos[2])
void | Rotate (double eventPos[2])
void | Shear (double eventPos[2])
void | Highlight (int highlight) override
void | UpdateText (const char *text, double eventPos[2])
void | ApplyShear ()
void | CreateDefaultProperties ()
Protected Member Functions inherited from vtkAffineRepresentation
| vtkAffineRepresentation ()
| ~vtkAffineRepresentation () override
Protected Member Functions inherited from vtkWidgetRepresentation
| vtkWidgetRepresentation ()
| ~vtkWidgetRepresentation () override
void | AdjustBounds (double bounds[6], double newBounds[6], double center[3])
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the widget representation currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the registered picker, and return the assembly path. More...
vtkAssemblyPath * | GetAssemblyPath3DPoint (double pos[3], vtkAbstractPropPicker *picker)
bool | NearbyEvent (int X, int Y, double bounds[6])
double | SizeHandlesRelativeToViewport (double factor, double pos[3])
double | SizeHandlesInPixels (double factor, double pos[3])
void | UpdatePropPose (vtkProp3D *prop, const double *pos1, const double *orient1, const double *pos2, const double *orient2)
Protected Member Functions inherited from vtkProp
| vtkProp ()
| ~vtkProp () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
int | BoxWidth
int | CircleWidth
int | AxesWidth
vtkTypeBool | DisplayText
double | CurrentWidth
double | CurrentRadius
double | CurrentAxesWidth
vtkTransform * | CurrentTransform
vtkTransform * | TotalTransform
double | Origin [4]
double | DisplayOrigin [3]
double | CurrentTranslation [3]
double | StartWorldPosition [4]
double | StartAngle
double | CurrentAngle
double | CurrentScale [2]
double | CurrentShear [2]
vtkProperty2D * | Property
vtkProperty2D * | SelectedProperty
vtkTextProperty * | TextProperty
double | Opacity
double | SelectedOpacity
double | LastEventPosition [2]
vtkTextMapper * | TextMapper
vtkActor2D * | TextActor
vtkPoints * | BoxPoints
vtkCellArray * | BoxCellArray
vtkPolyData * | Box
vtkPolyDataMapper2D * | BoxMapper
vtkActor2D * | BoxActor
vtkPoints * | HBoxPoints
vtkCellArray * | HBoxCellArray
vtkPolyData * | HBox
vtkPolyDataMapper2D * | HBoxMapper
vtkActor2D * | HBoxActor
vtkPoints * | CirclePoints
vtkCellArray * | CircleCellArray
vtkPolyData * | Circle
vtkPolyDataMapper2D * | CircleMapper
vtkActor2D * | CircleActor
vtkPoints * | HCirclePoints
vtkCellArray * | HCircleCellArray
vtkPolyData * | HCircle
vtkPolyDataMapper2D * | HCircleMapper
vtkActor2D * | HCircleActor
vtkLeaderActor2D * | XAxis
vtkLeaderActor2D * | YAxis
vtkLeaderActor2D * | HXAxis
vtkLeaderActor2D * | HYAxis
Protected Attributes inherited from vtkAffineRepresentation
int | Tolerance
vtkTransform * | Transform
Protected Attributes inherited from vtkWidgetRepresentation
vtkWeakPointer< vtkRenderer > | Renderer
int | InteractionState
double | StartEventPosition [3]
double | PlaceFactor
int | Placed
double | InitialBounds [6]
double | InitialLength
int | ValidPick
bool | PickingManaged
double | HandleSize
vtkTypeBool | NeedToRender
vtkTimeStamp | BuildTime
vtkNew< vtkTransform > | TempTransform
vtkNew< vtkMatrix4x4 > | TempMatrix
Protected Attributes inherited from vtkProp
vtkTypeBool | Visibility
vtkTypeBool | Pickable
vtkTypeBool | Dragable
bool | UseBounds
double | AllocatedRenderTime
double | EstimatedRenderTime
double | SavedEstimatedRenderTime
double | RenderTimeMultiplier
int | NumberOfConsumers
vtkObject ** | Consumers
vtkAssemblyPaths * | Paths
vtkInformation * | PropertyKeys
vtkShaderProperty * | ShaderProperty
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
typedef vtkAffineRepresentation | Superclass
| Standard methods for instances of this class. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkAffineRepresentation2D * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard methods for instances of this class. More...
vtkAffineRepresentation2D * | NewInstance () const
| Standard methods for instances of this class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instances of this class. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard methods for instances of this class. More...

## Additional Inherited Members
Public Types inherited from vtkAffineRepresentation
enum | InteractionStateType { Outside = 0 , Rotate , Translate , TranslateX , TranslateY , ScaleWEdge , ScaleEEdge , ScaleNEdge , ScaleSEdge , ScaleNE , ScaleSW , ScaleNW , ScaleSE , ShearEEdge , ShearWEdge , ShearNEdge , ShearSEdge , MoveOriginX , MoveOriginY , MoveOrigin }
typedef InteractionStateType | _InteractionState
typedef vtkWidgetRepresentation | Superclass
| Standard methods for instances of this class. More...
Public Types inherited from vtkWidgetRepresentation
enum | Axis { NONE = -1 , XAxis = 0 , YAxis = 1 , ZAxis = 2 , Custom = 3 }
| Axis labels. More...
typedef vtkProp | Superclass
| Standard methods for instances of this class. More...
Public Types inherited from vtkProp
typedef vtkObject | Superclass
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

represent 2D affine transformations

This class is used to represent a vtkAffineWidget. This representation consists of three parts: a box, a circle, and a cross. The box is used for scaling and shearing, the circle for rotation, and the cross for translation. These parts are drawn in the overlay plane and maintain a constant size (width and height) specified in terms of normalized viewport coordinates.

The representation maintains an internal transformation matrix (see superclass' GetTransform() method). The transformations generated by this widget assume that the representation lies in the x-y plane. If this is not the case, the user is responsible for transforming this representation's matrix into the correct coordinate space (by judicious matrix multiplication). Note that the transformation matrix returned by GetTransform() is relative to the last PlaceWidget() invocation. (The PlaceWidget() sets the origin around which rotation and scaling occurs; the origin is the center point of the bounding box provided.)

See also
  vtkAffineRepresentation vtkAffineWidget

Online Examples:

Tests:
  vtkAffineRepresentation2D (Tests)

Definition at line 59 of file vtkAffineRepresentation2D.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkAffineRepresentation vtkAffineRepresentation2D::Superclass

Standard methods for instances of this class.

Definition at line 71 of file vtkAffineRepresentation2D.h.

## Constructor & Destructor Documentation

## ◆ vtkAffineRepresentation2D()

vtkAffineRepresentation2D::vtkAffineRepresentation2D | ( |  | ) |
| protected

## ◆ ~vtkAffineRepresentation2D()

vtkAffineRepresentation2D::~vtkAffineRepresentation2D | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkAffineRepresentation2D* vtkAffineRepresentation2D::New | ( |  | ) |
| static

Instantiate this class.

## ◆ IsTypeOf()

static vtkTypeBool vtkAffineRepresentation2D::IsTypeOf | ( | const char * | type | ) |
| static

Standard methods for instances of this class.

## ◆ IsA()

virtual vtkTypeBool vtkAffineRepresentation2D::IsA | ( | const char * | type | ) |
| virtual

Standard methods for instances of this class.

Reimplemented from vtkAffineRepresentation.

## ◆ SafeDownCast()

static vtkAffineRepresentation2D* vtkAffineRepresentation2D::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard methods for instances of this class.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkAffineRepresentation2D::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard methods for instances of this class.

Reimplemented from vtkAffineRepresentation.

## ◆ NewInstance()

vtkAffineRepresentation2D* vtkAffineRepresentation2D::NewInstance | ( |  | ) | const

Standard methods for instances of this class.

## ◆ PrintSelf()

void vtkAffineRepresentation2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard methods for instances of this class.

Reimplemented from vtkAffineRepresentation.

## ◆ SetBoxWidth()

virtual void vtkAffineRepresentation2D::SetBoxWidth | ( | int |  | ) |
| virtual

Specify the width of the various parts of the representation (in pixels).

The three parts are of the representation are the translation axes, the rotation circle, and the scale/shear box. Note that since the widget resizes itself so that the width and height are always the same, only the width needs to be specified.

## ◆ GetBoxWidth()

virtual int vtkAffineRepresentation2D::GetBoxWidth | ( |  | ) |
| virtual

Specify the width of the various parts of the representation (in pixels).

The three parts are of the representation are the translation axes, the rotation circle, and the scale/shear box. Note that since the widget resizes itself so that the width and height are always the same, only the width needs to be specified.

## ◆ SetCircleWidth()

virtual void vtkAffineRepresentation2D::SetCircleWidth | ( | int |  | ) |
| virtual

Specify the width of the various parts of the representation (in pixels).

The three parts are of the representation are the translation axes, the rotation circle, and the scale/shear box. Note that since the widget resizes itself so that the width and height are always the same, only the width needs to be specified.

## ◆ GetCircleWidth()

virtual int vtkAffineRepresentation2D::GetCircleWidth | ( |  | ) |
| virtual

Specify the width of the various parts of the representation (in pixels).

The three parts are of the representation are the translation axes, the rotation circle, and the scale/shear box. Note that since the widget resizes itself so that the width and height are always the same, only the width needs to be specified.

## ◆ SetAxesWidth()

virtual void vtkAffineRepresentation2D::SetAxesWidth | ( | int |  | ) |
| virtual

Specify the width of the various parts of the representation (in pixels).

The three parts are of the representation are the translation axes, the rotation circle, and the scale/shear box. Note that since the widget resizes itself so that the width and height are always the same, only the width needs to be specified.

## ◆ GetAxesWidth()

virtual int vtkAffineRepresentation2D::GetAxesWidth | ( |  | ) |
| virtual

Specify the width of the various parts of the representation (in pixels).

The three parts are of the representation are the translation axes, the rotation circle, and the scale/shear box. Note that since the widget resizes itself so that the width and height are always the same, only the width needs to be specified.

## ◆ SetOrigin() [1/2]

void vtkAffineRepresentation2D::SetOrigin | ( | const double | o[3] | ) |
| inline

Specify the origin of the widget (in world coordinates).

The origin is the point where the widget places itself. Note that rotations and scaling occurs around the origin.

Definition at line 97 of file vtkAffineRepresentation2D.h.

## ◆ SetOrigin() [2/2]

void vtkAffineRepresentation2D::SetOrigin | ( | double | ox,
|  | double | oy,
|  | double | oz
| ) |  |

Specify the origin of the widget (in world coordinates).

The origin is the point where the widget places itself. Note that rotations and scaling occurs around the origin.

## ◆ GetOrigin() [1/3]

virtual double* vtkAffineRepresentation2D::GetOrigin | ( |  | ) |
| virtual

Specify the origin of the widget (in world coordinates).

The origin is the point where the widget places itself. Note that rotations and scaling occurs around the origin.

## ◆ GetOrigin() [2/3]

virtual void vtkAffineRepresentation2D::GetOrigin | ( | double & | ,
|  | double & | ,
|  | double & |
| ) |  |
| virtual

Specify the origin of the widget (in world coordinates).

The origin is the point where the widget places itself. Note that rotations and scaling occurs around the origin.

## ◆ GetOrigin() [3/3]

virtual void vtkAffineRepresentation2D::GetOrigin | ( | double | [3] | ) |
| virtual

Specify the origin of the widget (in world coordinates).

The origin is the point where the widget places itself. Note that rotations and scaling occurs around the origin.

## ◆ GetTransform()

void vtkAffineRepresentation2D::GetTransform | ( | vtkTransform * | t | ) |
| overridevirtual

Retrieve a linear transform characterizing the affine transformation generated by this widget.

This method copies its internal transform into the transform provided. Note that the PlaceWidget() method initializes the internal matrix to identity. All subsequent widget operations (i.e., scale, translate, rotate, shear) are concatenated with the internal transform.

Implements vtkAffineRepresentation.

## ◆ SetProperty()

void vtkAffineRepresentation2D::SetProperty | ( | vtkProperty2D * |  | ) |

Set/Get the properties when unselected and selected.

## ◆ SetSelectedProperty()

void vtkAffineRepresentation2D::SetSelectedProperty | ( | vtkProperty2D * |  | ) |

Set/Get the properties when unselected and selected.

## ◆ SetTextProperty()

void vtkAffineRepresentation2D::SetTextProperty | ( | vtkTextProperty * |  | ) |

Set/Get the properties when unselected and selected.

## ◆ GetProperty()

virtual vtkProperty2D* vtkAffineRepresentation2D::GetProperty | ( |  | ) |
| virtual

Set/Get the properties when unselected and selected.

## ◆ GetSelectedProperty()

virtual vtkProperty2D* vtkAffineRepresentation2D::GetSelectedProperty | ( |  | ) |
| virtual

Set/Get the properties when unselected and selected.

## ◆ GetTextProperty()

virtual vtkTextProperty* vtkAffineRepresentation2D::GetTextProperty | ( |  | ) |
| virtual

Set/Get the properties when unselected and selected.

## ◆ SetDisplayText()

virtual void vtkAffineRepresentation2D::SetDisplayText | ( | vtkTypeBool |  | ) |
| virtual

Enable the display of text with numeric values characterizing the transformation.

Rotation and shear are expressed in degrees; translation the distance in world coordinates; and scale normalized (sx,sy) values.

## ◆ GetDisplayText()

virtual vtkTypeBool vtkAffineRepresentation2D::GetDisplayText | ( |  | ) |
| virtual

Enable the display of text with numeric values characterizing the transformation.

Rotation and shear are expressed in degrees; translation the distance in world coordinates; and scale normalized (sx,sy) values.

## ◆ DisplayTextOn()

virtual void vtkAffineRepresentation2D::DisplayTextOn | ( |  | ) |
| virtual

Enable the display of text with numeric values characterizing the transformation.

Rotation and shear are expressed in degrees; translation the distance in world coordinates; and scale normalized (sx,sy) values.

## ◆ DisplayTextOff()

virtual void vtkAffineRepresentation2D::DisplayTextOff | ( |  | ) |
| virtual

Enable the display of text with numeric values characterizing the transformation.

Rotation and shear are expressed in degrees; translation the distance in world coordinates; and scale normalized (sx,sy) values.

## ◆ PlaceWidget()

void vtkAffineRepresentation2D::PlaceWidget | ( | double | bounds[6] | ) |
| override

Subclasses of vtkAffineRepresentation2D must implement these methods.

These are the methods that the widget and its representation use to communicate with each other. Note: PlaceWidget() reinitializes the transformation matrix (i.e., sets it to identity). It also sets the origin for scaling and rotation.

## ◆ StartWidgetInteraction()

void vtkAffineRepresentation2D::StartWidgetInteraction | ( | double | eventPos[2] | ) |
| overridevirtual

Subclasses of vtkAffineRepresentation2D must implement these methods.

These are the methods that the widget and its representation use to communicate with each other. Note: PlaceWidget() reinitializes the transformation matrix (i.e., sets it to identity). It also sets the origin for scaling and rotation.

Reimplemented from vtkWidgetRepresentation.

## ◆ WidgetInteraction()

void vtkAffineRepresentation2D::WidgetInteraction | ( | double | eventPos[2] | ) |
| overridevirtual

Subclasses of vtkAffineRepresentation2D must implement these methods.

These are the methods that the widget and its representation use to communicate with each other. Note: PlaceWidget() reinitializes the transformation matrix (i.e., sets it to identity). It also sets the origin for scaling and rotation.

Reimplemented from vtkWidgetRepresentation.

## ◆ EndWidgetInteraction()

void vtkAffineRepresentation2D::EndWidgetInteraction | ( | double | eventPos[2] | ) |
| overridevirtual

Subclasses of vtkAffineRepresentation2D must implement these methods.

These are the methods that the widget and its representation use to communicate with each other. Note: PlaceWidget() reinitializes the transformation matrix (i.e., sets it to identity). It also sets the origin for scaling and rotation.

Reimplemented from vtkWidgetRepresentation.

## ◆ ComputeInteractionState()

int vtkAffineRepresentation2D::ComputeInteractionState | ( | int | X,
|  | int | Y,
|  | int | modify = `0`
| ) |  |
| overridevirtual

Subclasses of vtkAffineRepresentation2D must implement these methods.

These are the methods that the widget and its representation use to communicate with each other. Note: PlaceWidget() reinitializes the transformation matrix (i.e., sets it to identity). It also sets the origin for scaling and rotation.

Reimplemented from vtkWidgetRepresentation.

## ◆ BuildRepresentation()

void vtkAffineRepresentation2D::BuildRepresentation | ( |  | ) |
| overridevirtual

Subclasses of vtkAffineRepresentation2D must implement these methods.

These are the methods that the widget and its representation use to communicate with each other. Note: PlaceWidget() reinitializes the transformation matrix (i.e., sets it to identity). It also sets the origin for scaling and rotation.

Implements vtkWidgetRepresentation.

## ◆ ShallowCopy()

void vtkAffineRepresentation2D::ShallowCopy | ( | vtkProp * | prop | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkAffineRepresentation.

## ◆ GetActors2D()

void vtkAffineRepresentation2D::GetActors2D | ( | vtkPropCollection * |  | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkProp.

## ◆ ReleaseGraphicsResources()

void vtkAffineRepresentation2D::ReleaseGraphicsResources | ( | vtkWindow * |  | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkProp.

## ◆ RenderOverlay()

int vtkAffineRepresentation2D::RenderOverlay | ( | vtkViewport * | viewport | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkProp.

## ◆ Translate()

void vtkAffineRepresentation2D::Translate | ( | double | eventPos[2] | ) |
| protected

## ◆ Scale()

void vtkAffineRepresentation2D::Scale | ( | double | eventPos[2] | ) |
| protected

## ◆ Rotate()

void vtkAffineRepresentation2D::Rotate | ( | double | eventPos[2] | ) |
| protected

## ◆ Shear()

void vtkAffineRepresentation2D::Shear | ( | double | eventPos[2] | ) |
| protected

## ◆ Highlight()

void vtkAffineRepresentation2D::Highlight | ( | int | highlight | ) |
| overrideprotected

## ◆ UpdateText()

void vtkAffineRepresentation2D::UpdateText | ( | const char * | text,
|  | double | eventPos[2]
| ) |  |
| protected

## ◆ ApplyShear()

void vtkAffineRepresentation2D::ApplyShear | ( |  | ) |
| protected

## ◆ CreateDefaultProperties()

void vtkAffineRepresentation2D::CreateDefaultProperties | ( |  | ) |
| protected

## Member Data Documentation

## ◆ BoxWidth

int vtkAffineRepresentation2D::BoxWidth
| protected

Definition at line 174 of file vtkAffineRepresentation2D.h.

## ◆ CircleWidth

int vtkAffineRepresentation2D::CircleWidth
| protected

Definition at line 175 of file vtkAffineRepresentation2D.h.

## ◆ AxesWidth

int vtkAffineRepresentation2D::AxesWidth
| protected

Definition at line 176 of file vtkAffineRepresentation2D.h.

## ◆ DisplayText

vtkTypeBool vtkAffineRepresentation2D::DisplayText
| protected

Definition at line 179 of file vtkAffineRepresentation2D.h.

## ◆ CurrentWidth

double vtkAffineRepresentation2D::CurrentWidth
| protected

Definition at line 182 of file vtkAffineRepresentation2D.h.

## ◆ CurrentRadius

double vtkAffineRepresentation2D::CurrentRadius
| protected

Definition at line 183 of file vtkAffineRepresentation2D.h.

## ◆ CurrentAxesWidth

double vtkAffineRepresentation2D::CurrentAxesWidth
| protected

Definition at line 184 of file vtkAffineRepresentation2D.h.

## ◆ CurrentTransform

vtkTransform* vtkAffineRepresentation2D::CurrentTransform
| protected

Definition at line 187 of file vtkAffineRepresentation2D.h.

## ◆ TotalTransform

vtkTransform* vtkAffineRepresentation2D::TotalTransform
| protected

Definition at line 188 of file vtkAffineRepresentation2D.h.

## ◆ Origin

double vtkAffineRepresentation2D::Origin[4]
| protected

Definition at line 189 of file vtkAffineRepresentation2D.h.

## ◆ DisplayOrigin

double vtkAffineRepresentation2D::DisplayOrigin[3]
| protected

Definition at line 190 of file vtkAffineRepresentation2D.h.

## ◆ CurrentTranslation

double vtkAffineRepresentation2D::CurrentTranslation[3]
| protected

Definition at line 191 of file vtkAffineRepresentation2D.h.

## ◆ StartWorldPosition

double vtkAffineRepresentation2D::StartWorldPosition[4]
| protected

Definition at line 192 of file vtkAffineRepresentation2D.h.

## ◆ StartAngle

double vtkAffineRepresentation2D::StartAngle
| protected

Definition at line 193 of file vtkAffineRepresentation2D.h.

## ◆ CurrentAngle

double vtkAffineRepresentation2D::CurrentAngle
| protected

Definition at line 194 of file vtkAffineRepresentation2D.h.

## ◆ CurrentScale

double vtkAffineRepresentation2D::CurrentScale[2]
| protected

Definition at line 195 of file vtkAffineRepresentation2D.h.

## ◆ CurrentShear

double vtkAffineRepresentation2D::CurrentShear[2]
| protected

Definition at line 196 of file vtkAffineRepresentation2D.h.

## ◆ Property

vtkProperty2D* vtkAffineRepresentation2D::Property
| protected

Definition at line 201 of file vtkAffineRepresentation2D.h.

## ◆ SelectedProperty

vtkProperty2D* vtkAffineRepresentation2D::SelectedProperty
| protected

Definition at line 202 of file vtkAffineRepresentation2D.h.

## ◆ TextProperty

vtkTextProperty* vtkAffineRepresentation2D::TextProperty
| protected

Definition at line 203 of file vtkAffineRepresentation2D.h.

## ◆ Opacity

double vtkAffineRepresentation2D::Opacity
| protected

Definition at line 205 of file vtkAffineRepresentation2D.h.

## ◆ SelectedOpacity

double vtkAffineRepresentation2D::SelectedOpacity
| protected

Definition at line 206 of file vtkAffineRepresentation2D.h.

## ◆ LastEventPosition

double vtkAffineRepresentation2D::LastEventPosition[2]
| protected

Definition at line 209 of file vtkAffineRepresentation2D.h.

## ◆ TextMapper

vtkTextMapper* vtkAffineRepresentation2D::TextMapper
| protected

Definition at line 213 of file vtkAffineRepresentation2D.h.

## ◆ TextActor

vtkActor2D* vtkAffineRepresentation2D::TextActor
| protected

Definition at line 214 of file vtkAffineRepresentation2D.h.

## ◆ BoxPoints

vtkPoints* vtkAffineRepresentation2D::BoxPoints
| protected

Definition at line 217 of file vtkAffineRepresentation2D.h.

## ◆ BoxCellArray

vtkCellArray* vtkAffineRepresentation2D::BoxCellArray
| protected

Definition at line 218 of file vtkAffineRepresentation2D.h.

## ◆ Box

vtkPolyData* vtkAffineRepresentation2D::Box
| protected

Definition at line 219 of file vtkAffineRepresentation2D.h.

## ◆ BoxMapper

vtkPolyDataMapper2D* vtkAffineRepresentation2D::BoxMapper
| protected

Definition at line 220 of file vtkAffineRepresentation2D.h.

## ◆ BoxActor

vtkActor2D* vtkAffineRepresentation2D::BoxActor
| protected

Definition at line 221 of file vtkAffineRepresentation2D.h.

## ◆ HBoxPoints

vtkPoints* vtkAffineRepresentation2D::HBoxPoints
| protected

Definition at line 223 of file vtkAffineRepresentation2D.h.

## ◆ HBoxCellArray

vtkCellArray* vtkAffineRepresentation2D::HBoxCellArray
| protected

Definition at line 224 of file vtkAffineRepresentation2D.h.

## ◆ HBox

vtkPolyData* vtkAffineRepresentation2D::HBox
| protected

Definition at line 225 of file vtkAffineRepresentation2D.h.

## ◆ HBoxMapper

vtkPolyDataMapper2D* vtkAffineRepresentation2D::HBoxMapper
| protected

Definition at line 226 of file vtkAffineRepresentation2D.h.

## ◆ HBoxActor

vtkActor2D* vtkAffineRepresentation2D::HBoxActor
| protected

Definition at line 227 of file vtkAffineRepresentation2D.h.

## ◆ CirclePoints

vtkPoints* vtkAffineRepresentation2D::CirclePoints
| protected

Definition at line 230 of file vtkAffineRepresentation2D.h.

## ◆ CircleCellArray

vtkCellArray* vtkAffineRepresentation2D::CircleCellArray
| protected

Definition at line 231 of file vtkAffineRepresentation2D.h.

## ◆ Circle

vtkPolyData* vtkAffineRepresentation2D::Circle
| protected

Definition at line 232 of file vtkAffineRepresentation2D.h.

## ◆ CircleMapper

vtkPolyDataMapper2D* vtkAffineRepresentation2D::CircleMapper
| protected

Definition at line 233 of file vtkAffineRepresentation2D.h.

## ◆ CircleActor

vtkActor2D* vtkAffineRepresentation2D::CircleActor
| protected

Definition at line 234 of file vtkAffineRepresentation2D.h.

## ◆ HCirclePoints

vtkPoints* vtkAffineRepresentation2D::HCirclePoints
| protected

Definition at line 236 of file vtkAffineRepresentation2D.h.

## ◆ HCircleCellArray

vtkCellArray* vtkAffineRepresentation2D::HCircleCellArray
| protected

Definition at line 237 of file vtkAffineRepresentation2D.h.

## ◆ HCircle

vtkPolyData* vtkAffineRepresentation2D::HCircle
| protected

Definition at line 238 of file vtkAffineRepresentation2D.h.

## ◆ HCircleMapper

vtkPolyDataMapper2D* vtkAffineRepresentation2D::HCircleMapper
| protected

Definition at line 239 of file vtkAffineRepresentation2D.h.

## ◆ HCircleActor

vtkActor2D* vtkAffineRepresentation2D::HCircleActor
| protected

Definition at line 240 of file vtkAffineRepresentation2D.h.

## ◆ XAxis

vtkLeaderActor2D* vtkAffineRepresentation2D::XAxis
| protected

Definition at line 243 of file vtkAffineRepresentation2D.h.

## ◆ YAxis

vtkLeaderActor2D* vtkAffineRepresentation2D::YAxis
| protected

Definition at line 244 of file vtkAffineRepresentation2D.h.

## ◆ HXAxis

vtkLeaderActor2D* vtkAffineRepresentation2D::HXAxis
| protected

Definition at line 245 of file vtkAffineRepresentation2D.h.

## ◆ HYAxis

vtkLeaderActor2D* vtkAffineRepresentation2D::HYAxis
| protected

Definition at line 246 of file vtkAffineRepresentation2D.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkAffineRepresentation2D.h